Download it now!
Bug 74499 - FILESAVE:System throws a segmentation fault while saving the file
Summary: FILESAVE:System throws a segmentation fault while saving the file
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.3.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:4.3.0
Keywords:
Depends on:
Blocks:
 
Reported: 2014-02-04 10:49 UTC by Tushar Bende
Modified: 2015-01-24 12:57 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Original doc that needs to be saved (54.32 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-02-04 10:49 UTC, Tushar Bende
Details
Original doc that needs to be saved (680.88 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-02-04 10:50 UTC, Tushar Bende
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tushar Bende 2014-02-04 10:49:21 UTC
Created attachment 93357 [details]
Original doc that needs to be saved

Steps to reproduce:

Open file "ap_hg_ch_10-development_reader's_notes.docx" or "CV_Michael_van_der_Wilden_October_2012.docx" in LibreOffice
Click File -> Save As (.docx)

Current behavior:
Crashing on every save.

Expected behavior:
Creating the file correctly
Comment 1 Tushar Bende 2014-02-04 10:50:01 UTC
Created attachment 93358 [details]
Original doc that needs to be saved
Comment 2 Commit Notification 2014-02-06 09:47:44 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4de30fa7fd6abb5c2ea2b63a0e306954f7acc1b1

Resolves: fdo#74499 crash on writing .docx



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Tushar Bende 2014-02-06 11:00:17 UTC
(In reply to comment #2)
Thanks Caolan for the code changes.
Actually I was about to push code but from master pull found that you already pushed it :)
so am pushing the test case which I had written for this issue.
Comment 4 Commit Notification 2014-02-07 20:37:49 UTC
Tushar Bende committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1edca1fe0aaadbd48ea23b691dc244ad2a6b6f73

fdo#74499: - FILESAVE:System throws a segmentation fault while saving files



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Miklos Vajna 2014-02-08 11:31:53 UTC
Tushar,

Actually your test case still fails, so I commented it out for now -- it would be great if you could fix the crash triggered by the testcase, then we could re-enable it again.

See https://gerrit.libreoffice.org/gitweb?p=core.git;a=commitdiff;h=43feacd5330b5652b58e8a75a0f41a78ee6ebe1c and http://tinderbox.libreoffice.org/cgi-bin/gunzip.cgi?tree=MASTER&full-log=1391848204.31698

Thanks,

Miklos
Comment 6 Tushar Bende 2014-02-10 07:14:31 UTC
(In reply to comment #5)
Miklos,

But I verified that it is not failing  and master is building property with this test case enabled.Can you please verify it again.

Thanks,
Tushar
Comment 7 Miklos Vajna 2014-02-10 10:41:58 UTC
The tinderbox that reports failure uses --enable-dbgutil, which enables additional assertions, possibly the failure is specific to --enable-dbgutil. Can you please check if the failure still happens if you use that option?

Thanks! :-)